#ifndef APTCP_COLLEGE_HPP_
#define APTCP_COLLEGE_HPP_
// aptcp_college.hpp
// ---------------------------------------------------------------------------------------------------
#include <string>
#include <iostream>
#include <utility>
#include "aptcp.hpp"
class College {
   std::string id_   {"0000"};
   std::string name_ {"NoWayJoseDefaultsNotAllowed"};
   auto page(){return APTCP_CREDIT_POLICY_TARGET_BASE+id_;}
   auto site(){return APTCP_CREDIT_POLICY_HOST;}
public:
   College() = default;
   auto name(){return name_;}
   auto url(){return std::pair(site(),page());}

   friend std::ostream& operator<<(std::ostream& os_a, College& college_a) {
      return os_a << college_a.id_ + ' ' + college_a.name_;
      }
   friend std::istream& operator>>(std::istream& is_a, College& college_a) {
      return is_a >> college_a.id_, is_a.get(), std::getline(is_a,college_a.name_);
      }
   friend auto operator<(const College& lhs_a, const College& rhs_a) {
      return lhs_a.name_ < rhs_a.name_;
      }
   };
#endif /* APTCP_COLLEGE_HPP_ */
